from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class EscapeDirection(IntEnum):
    SMART = auto()
    LEFT = auto()
    RIGHT = auto()
    UP = auto()
    DOWN = auto()
    HORIZONTAL = auto()
    VERTICAL = auto()
